{
  "type": "minecraft:block",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:blackstone_wall"
        }
      ],
      "conditions": [
        {
          "condition": "minecraft:match_tool",
          "predicate": {
            "predicates": {
              "minecraft:enchantments": [
                {
                  "enchantments": "minecraft:silk_touch"
                }
              ]
            }
          }
        },
        {
          "condition": "minecraft:location_check",
          "predicate": {
            "biomes": "#backrooms:level58"
          }
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "value": "backrooms:teganfruit",
          "weight": 1
        }
      ],
      "functions": [
        {
          "function": "minecraft:enchanted_count_increase",
          "count": {
            "type": "minecraft:enchantment_level",
            "amount": {
              "type": "minecraft:linear",
              "base": 1,
              "per_level_above_first": 1
            }
          },
          "enchantment": "minecraft:fortune"
        }
      ],
      "conditions": [
        {
          "condition": "minecraft:location_check",
          "predicate": {
            "biomes": "#backrooms:level58"
          }
        }
      ]
    },
    {
      "bonus_rolls": 0,
      "conditions": [
        {
          "condition": "minecraft:inverted",
          "term": {
            "condition": "minecraft:location_check",
            "predicate": {
              "biomes": "#backrooms:level58"
            }
          }
        },
        {
          "condition": "minecraft:survives_explosion"
        }
      ],
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:blackstone_wall"
        }
      ],
      "rolls": 1
    }
  ],
  "random_sequence": "minecraft:blocks/blackstone_wall"
}